Subject: RE: bug#26301: 24.5; `define-derived-mode': different signatures for doc string & manual

From: Drew Adams <[email-masked]>
Date: Fri, 26 Jul 2019 08:51:48 -0700 (PDT)

> > Docstrings can override the automatically generated signature by
> using
> >
> > (fn ...)
> >
> > So maybe we should do that here?
> 
> Hm...  didn't think about that.  I guess that makes sense?  We'd say
> 
> (fn ... &rest KEYWORDS &body body)
> 
> or something?  (Slightly Common Lispish.)

I'm no expert on how we would write it.
But in Common Lisp you cannot have both &rest
and &body at the same level, I believe.

Maybe this?

(fn CHILD PARENT NAME &optional DOCSTRING KEYWORDS &rest BODY)

And let the doc string describe KEYWORDS properly,
to make clear that it's any number of keyword
entries (keyword followed by its value).